VERSION 5.00
Object = "{295D386B-17F2-4785-8735-5C3B2E41066D}#13.0#0"; "axPhoner.ocx"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form MainScreen 
   Caption         =   "WatchPhoner Vers. 2"
   ClientHeight    =   1185
   ClientLeft      =   60
   ClientTop       =   630
   ClientWidth     =   5640
   Icon            =   "MainScreen.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   1185
   ScaleWidth      =   5640
   Begin PhonerActiveX.axPhoner axPhoner1 
      Left            =   3600
      Top             =   600
      _ExtentX        =   661
      _ExtentY        =   661
   End
   Begin MSComDlg.CommonDialog HlpDlg 
      Left            =   3120
      Top             =   600
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      HelpFile        =   "WATCHPHONER1-2.HLP"
   End
   Begin VB.CommandButton BTN_End 
      Caption         =   "&Beenden"
      Height          =   495
      Left            =   4080
      TabIndex        =   2
      Top             =   600
      Width           =   1455
   End
   Begin VB.CommandButton BTN_Db 
      Caption         =   "&Anrufer-Info anzeigen"
      Enabled         =   0   'False
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   3135
   End
   Begin VB.Label LBL_Anrufer 
      Alignment       =   2  'Zentriert
      BorderStyle     =   1  'Fest Einfach
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "Ein Doppelklick lscht den letzten Anruf"
      Top             =   120
      Width           =   5415
   End
   Begin VB.Menu mnuDatei 
      Caption         =   "&Datei"
      Begin VB.Menu mnuDel 
         Caption         =   "&Anruferfeld lschen"
         Shortcut        =   ^L
      End
      Begin VB.Menu mnuTrenn1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOptionen 
         Caption         =   "&Optionen ..."
         Shortcut        =   ^O
      End
      Begin VB.Menu mnuTrenn2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuBeenden 
         Caption         =   "&Beenden"
         Shortcut        =   ^{F4}
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&?"
      Begin VB.Menu mnuHilfe 
         Caption         =   "&Hilfe ..."
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuTrenn3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuInfo 
         Caption         =   "&Info ..."
      End
   End
End
Attribute VB_Name = "MainScreen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub axPhoner1_OnRing(CallingNumber As String, CalledMSN As String, CallID As Long)
        'Ereignis wird ausgelst, sobald ein Anruf bei Phoner eingeht
        'Variablen fr Anrufer setzen
Anrufer = CallingNumber
MSN = CalledMSN
        'Anzeigefeld mit Anrufdaten fllen
LBL_Anrufer.Caption = "Anruf von " & Anrufer & " auf Leitung: " & MSN
        'Datenbank Button verfgbar machen
BTN_Db.Enabled = True

End Sub

Private Sub BTN_Db_Click()
On Error GoTo ERR_BTN_Db_Click
        'Bei einem Anruf wird eine Prozedur innerhalb einer Access-Datenbank
        'aufgerufen. Je nach Voreinstellung wird entweder nur die Anrufernummer oder
        'auch die angewhlte MSN bergeben
        'Wurde die Shell-Anweisung in Optionen eingestellt, wird ber die Shell-Funktion
        'eine Anwendung aufgerufen und dieser Parameter bergeben
Dim result
Dim AcObj As Object
Dim s As String

If mIsOnlyNumber Then
            'Aus der Anrufernummer und MSN  einen reinen Zahlenstring
            'ohne () und Spaces erstellen
    Anrufer = Replace(Anrufer, "(", "")
    Anrufer = Replace(Anrufer, ")", "")
    Anrufer = Replace(Anrufer, " ", "")
    MSN = Replace(MSN, "(", "")
    MSN = Replace(MSN, ")", "")
    MSN = Replace(MSN, " ", "")
End If


If mIsShell = False Then
            'Access mit Datenbank im Hintergrund starten
    Set AcObj = CreateObject("Access.Application")
    With AcObj
        .OpenCurrentDatabase filepath:=mDbPath, Exclusive:=False
        If mIsBothParameter = True Then              'Prozedur in Access aufrufen
            .Run mProcedure, Anrufer, MSN   'mit Anrufernummer und angerufener Nummer
        Else
            .Run mProcedure, Anrufer        'nur mit Anrufernummer
        End If
        .Quit
    Set AcObj = Nothing                 'Access-Objekt beenden
    End With
Else
            'Shell-Anweisung ausfhren
            'Zuerst Parameter anhand Telefonnummer und MSN aktualisieren
    s = Replace(mShell, "{AnrufNummer}", Anrufer)
    s = Replace(s, "{MSN}", MSN)
            'Shell-Funktion aufrufen
    If LCase(Left$(s, 4)) = "http" Or LCase(Left$(s, 4)) = "www." Then
        result = ShellExecute(0&, "Open", s, "", "", 1)
    Else
        Shell s, vbNormalFocus
    End If
End If
EXIT_BTN_Db_Click:
    Exit Sub
ERR_BTN_Db_Click:
    If Err.Number = 53 Then
        result = "Bitte prfen Sie unter Optionen den von Ihnen eingegebenen Shell-Befehl und ggf. die bergebenen Parameter."
        result = result & vbCrLf & vbCrLf & "'" & s & "'" & vbCrLf & vbCrLf
        result = result & "konnte von Ihrem Betriebssystem nicht verarbeitet werden."
        MsgBox result, vbCritical, "Fehlerhafter Shell-Befehl in Optionen-Dialog"
    Else
        MsgBox "Fehler-Nummer " & Err.Number & vbCrLf & vbCrLf & Err.Description
    End If
    Resume EXIT_BTN_Db_Click
End Sub

Private Sub BTN_End_Click()
Dim Dummy
        'Sicherheitsabfrage vor dem Beenden
Dummy = MsgBox("Mchten Sie die Anwendung tatschlich beenden ?", vbYesNo + vbQuestion, "WatchPhoner beenden")
If Dummy = vbYes Then End
End Sub


Private Sub Form_Load()
Dim rc As Long
        'WatchPhoner kann nur einmal gestartet werden.
        'Mehrere Instanzen verhindern
If App.PrevInstance = True Then End

Me.Caption = "WatchPhoner (Version " & App.Major & "." & App.Minor & "." & App.Revision & ")"
        'Startverhalten von WatchPhoner
        '0 - Normales Fenster beim Start anzeigen
        '1 - Minimiert starten und nur bei Anruf Fenster zeigen
        'Fensterverhalten aus Registry lesen und anwenden
Call ReadRegistry
If mIsShell = True Then
    BTN_Db.Caption = "&Anwendung starten"
Else
    BTN_Db.Caption = "&Anrufer-Info anzeigen"
End If
Call InitWindow
End Sub

Private Sub InitWindow()
        'Initialisiere WatchPhoner mit Werten aus Registry
        'Fensterverhalten festzulegen
Dim rc
Select Case mStartModus
Case 1
        'Fenster minimieren
    rc = ShowWindow(Me.hwnd, SW_MINIMIZE)
Case 2
        'in linker oberer Ecke, normaler Fenstermodus
    rc = SetWindowPos(Me.hwnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOSIZE Or SWP_NOMOVE)
    rc = ShowWindow(Me.hwnd, SW_RESTORE)
Case Else
        'in linker oberer Ecke, immer im Vordergrund
    rc = SetWindowPos(Me.hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOSIZE Or SWP_NOMOVE)
End Select

End Sub

Private Sub LBL_Anrufer_DblClick()
        'Anzeige-Feld, alle Variablen mit Hinweis auf letzten
        'Anrufer lschen, sowie Datenbank-Button sperren
LBL_Anrufer.Caption = ""
Anrufer = ""
MSN = ""
BTN_Db.Enabled = False
End Sub

Private Sub mnuBeenden_Click()
    'Anwendung mit Nachfrage beenden
Call BTN_End_Click
End Sub

Private Sub mnuDel_Click()
        'Menpunkt Anzeige-Feld lschen bewirkt dasselbe wie ein Doppelklick auf
        'auf das Anzeige-Feld selbst.
Call LBL_Anrufer_DblClick
End Sub



Private Sub mnuHilfe_Click()
        'Hilfe aufrufen
Dim rs As Long
Dim Pfad As String
        'Pfad zur Hilfe-Datei erstellen
Pfad = App.Path
If Right$(Pfad, 1) <> "\" Then Pfad = Pfad & "\"
Pfad = Pfad & "WATCHPHONER2.chm"
        'HTML-Hilfe aufrufen
rs = htmlhelp(hwnd, Pfad, &H0, 0)

End Sub

Private Sub mnuInfo_Click()
        'Zeigt Info-Bildschirm an
    Info.Show vbModal
End Sub

Private Sub mnuOptionen_Click()
        'Dialog fr Optionen anzeigen
    Optionen.Show vbModal
        'evt. gendertes Fensterverhalten anwenden
    Call InitWindow
    If mIsShell = True Then
        BTN_Db.Caption = "&Anwendung starten"
    Else
        BTN_Db.Caption = "&Anrufer-Info anzeigen"
    End If
End Sub



